*a simple data step;
data whatever;
set import;
BMI=Weight/Height**2*10000;
run;

proc print;
format BMI 5.1;
run;


*make a permanent dataset;
libname ss '/home/will17/Mixed-model Workshop/Getting started';

data ss.subjects;
set import;
run;


*simple code to get simple stats for checking data;
proc univariate plot data=whatever;
class sex;
run;

proc means maxdec=1 data=whatever;
class sex;
run;


*simple code to get matrix of correlation coefficients between all variables;
proc corr fisher(alpha=0.1) data=whatever;
by sex;
*var Height Weight; *matrix of all correlations between chosen variables;
*var Height; *correlations between chosen variables;
*with Weight;
run;


*scatterplot with proc sgplot, simplified and augmented to make a better graph;
ods graphics / reset imagemap attrpriority=none;
proc sgplot data=whatever;
styleattrs
  datacolors=(red blue)
  datacontrastcolors=(black)
  datasymbols=(circlefilled squarefilled);
scatter x=Height y=Weight / group=Sex markerattrs=(size=10) filledoutlinedmarkers;
run;
ods graphics / reset;


*simple scatterplot in 1960s style;
options ls=80 ps=45;
proc plot data=import;
plot Weight*Height=Sex;
run;

